Subject: bug#57800: TRAMP insert-file-contents now fails for regions

From: Michael Albinus <[email-masked]>
Date: Fri, 30 Sep 2022 21:11:34 +0200

Paul Pogonyshev <[email-masked]> writes:

Hi Paul,

> Yes, that fixes the problem. Does that mean I somehow have a mixup of
> sources from different commits (not sure how) or that the cache is
> persistent and can survive long times? Note that I also run Emacs 28
> from time to time. Could it be that 29 reuses cache created by 28 that
> contains no-longer-compatible values?

Could be the latter, yes. "tmpdir" is the only cache value I know of
which has changed its meaning(*). Perhaps I shall add a test that it
ignores cached "tmpdir" values if they are remote. But hmm, it has
changed its meaning also in Tramp 2.5.3.2, which is distributed via GNU
ELPA.

(*): More precisely, there were two different meanings in different
places of Tramp. The fix was needed to fix that bug.

> Paul

Best regards, Michael.